
#include <stdlib.h>

#include "libdb.h"
#include "libmemdb.h"

/**
 * Opens the connection to the DBA with the given driver name using
 * the given parameters to establish the connection. If the driver
 * name is NULL then the default native memory DB is used. The
 * connection parameters are specified as a character string --- see
 * the corresponding DBA driver manual for further information.
 *
 * The native memory DBA initializer is #libsw_get_memdb_api.
 *
 * @param driver DBA driver name
 * @param config arbitrary connection arguments
 *
 * @return initialized DBA handle or NULL on error
 */
libsw_db_api_t *libsw_get_db_api( const char *driver,
                                  const char *config )
{
  libsw_db_api_t *api = NULL;

  if ( driver == NULL ) {
    api = libsw_get_memdb_api( config );
  } else {
    // To be continued...
  }

  if ( ! api ) {
    return NULL;
  }

  return api;
}
